#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n, x, r;
    cin>>n>>x;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    int maxl=x;
    int maxd=x;
    for(int i=0; i<n; i++)
    {
        if(a[i]<x && a[i]< maxl) maxl=a[i];
        if(a[i]>x && a[i]> maxd) maxd=a[i];
    }
    if(abs(abs(x)-abs(maxl))<abs(abs(x)-abs(maxd)))
    {
        r=2*abs(x-maxl)+abs(x-maxd);
        cout<<r;
    }
    else
    {
        r=2*abs(x-maxd)+abs(x-maxl);
        cout<<r;
    }
    return 0;
}